package pages

import (
	"gitote/gitote/pkg/context"
)

const (
	ABOUT          = "pages/about"
	FAQ            = "pages/faq"
	PRIVACY        = "pages/privacy"
	TOS            = "pages/tos"
	DEVELOPERS     = "pages/developers"
	BRAND          = "pages/brand"
	CONTACT        = "pages/contact"
	CONTRIBUTE     = "pages/contribute"
	SECURITY       = "pages/security"
	VERIFIED       = "pages/verified"
	MAKERS         = "pages/makers"
	HELP           = "pages/help"
	FEATURES       = "pages/features"
	FEATUREREQUEST = "pages/request"
	SPONSORSHIP    = "pages/sponsorship"
)

func About(c *context.Context) {
	c.Data["Title"] = "About"

	c.HTML(200, ABOUT)
}

func Faq(c *context.Context) {
	c.Data["Title"] = "FAQ"

	c.HTML(200, FAQ)
}

func Privacy(c *context.Context) {
	c.Data["Title"] = "Privacy Policy"

	c.HTML(200, PRIVACY)
}

func Tos(c *context.Context) {
	c.Data["Title"] = "Terms of Service"

	c.HTML(200, TOS)
}

func Developers(c *context.Context) {
	c.Data["Title"] = "Gitote Developers"

	c.HTML(200, DEVELOPERS)
}

func Brand(c *context.Context) {
	c.Data["Title"] = "Gitote Brand"

	c.HTML(200, BRAND)
}

func Contribute(c *context.Context) {
	c.Data["PageIsContribute"] = true
	c.Data["Title"] = "Contribute"

	c.HTML(200, CONTRIBUTE)
}

func Security(c *context.Context) {
	c.Data["Title"] = "Security"

	c.HTML(200, SECURITY)
}

func Verified(c *context.Context) {
	c.Data["Title"] = "Verified"

	c.HTML(200, VERIFIED)
}

func Makers(c *context.Context) {
	c.Data["Title"] = "Makers"

	c.HTML(200, MAKERS)
}

func Help(c *context.Context) {
	c.Data["Title"] = "Help"
	c.Data["PageIsHelp"] = true

	c.HTML(200, HELP)
}

func Contact(c *context.Context) {
	c.Data["Title"] = "Contact"

	c.HTML(200, CONTACT)
}

func Features(c *context.Context) {
	c.Data["Title"] = "Features"
	c.Data["PageIsFeatures"] = true

	c.HTML(200, FEATURES)
}

func FeatureRequest(c *context.Context) {
	c.Data["Title"] = "Feature Request"

	c.HTML(200, FEATUREREQUEST)
}

func Sponsorship(c *context.Context) {
	c.Data["Title"] = "Sponsorship"

	c.HTML(200, SPONSORSHIP)
}
